org.jboss.netty.logging

## Enum InternalLogLevel

- java.lang.Object
- - java.lang.Enum<InternalLogLevel>
  - - org.jboss.netty.logging.InternalLogLevel

- All Implemented Interfaces:
    Serializable, Comparable<InternalLogLevel>

      public enum InternalLogLevel
      extends Enum<InternalLogLevel>

  The log level that `InternalLogger` can log at.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEBUG` 'DEBUG' log level.
    `ERROR` 'ERROR' log level.
    `INFO` 'INFO' log level.
    `WARN` 'WARN' log level.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InternalLogLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static InternalLogLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEBUG

          public static final InternalLogLevel DEBUG

      'DEBUG' log level.

    - #### INFO

          public static final InternalLogLevel INFO

      'INFO' log level.

    - #### WARN

          public static final InternalLogLevel WARN

      'WARN' log level.

    - #### ERROR

          public static final InternalLogLevel ERROR

      'ERROR' log level.

  - ### Method Detail

    - #### values

          public static InternalLogLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InternalLogLevel c : InternalLogLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InternalLogLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008-2012 The Netty Project. All Rights Reserved.